| GET | /RestApi/translations/projects/statuses |
|---|
export enum ProjectStatus
{
NotStarted = 'NotStarted',
Started = 'Started',
Completed = 'Completed',
}
export class GetProjectsStatus implements IProjectsFilter
{
public SearchText: string;
public Service: string[];
public ProjectStatus?: ProjectStatus;
public ActualSourceLanguage: string;
public WithoutSourceLanguage: boolean;
public constructor(init?: Partial<GetProjectsStatus>) { (Object as any).assign(this, init); }
}
TypeScript GetProjectsStatus DTOs
To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json
To embed the response in a jsonp callback, append ?callback=myCallback
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/translations/projects/statuses HTTP/1.1 Host: www.imglobal.com Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length
[{"Name":"String","Code":"String","Count":0}]